//
//  ViewController.m
//  IGChartView_DataPointHighlighting
//
//  Created by Darrell Kress on 4/16/14.
//  Copyright (c) 2014 Darrell Kress. All rights reserved.
//

#import "ViewController.h"
#import "MyChartViewDelegate.h"
#import "MyFakeData.h"
@interface ViewController ()
{
    IGChartView* _chart;
    MyChartViewDelegate* _delegate;
    IGCategorySeriesDataSourceHelper* _helper;
}
@end

@implementation ViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
    
     _delegate = [[MyChartViewDelegate alloc]init];
    _chart = [[IGChartView alloc]initWithFrame:CGRectMake(0, 0, self.view.bounds.size.width, self.view.bounds.size.height)];
    _chart.backgroundColor = [UIColor colorWithWhite:.85 alpha:1];
    _chart.autoresizingMask = UIViewAutoresizingFlexibleHeight | UIViewAutoresizingFlexibleWidth;
    [self.view addSubview:_chart];
    _chart.delegate = _delegate;
    
    // setting up the data source helper
    _helper = [[IGCategorySeriesDataSourceHelper alloc]initWithData:[MyFakeData makeData] andValuePath:@"value" ];
    _helper.labelPath = @"label";
    
    // making a quick column series
    IGColumnSeries* columnSeries= (IGColumnSeries*)[_chart addSeriesForType:[IGColumnSeries class] usingKey:@"a" withDataSource:_helper firstAxisKey:@"x" secondAxisKey:@"y"];
    columnSeries.yAxis.minimum = 0;
    columnSeries.yAxis.maximum = 11;
    columnSeries.xAxis.majorStrokeThickness = 0;
    columnSeries.yAxis.majorStrokeThickness = 0;
    
    // In order for the delegate to use it's method, we need to turn it on for the series.  Otherwise
    // the series will display it's default colors.
    columnSeries.isCustomCategoryStyleAllowed = YES;

}
-(BOOL)prefersStatusBarHidden
{
    return YES;
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
